Subject: [bug#72912] [PATCH 0/1] Update Minetest to 5.9.0 (again)

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 31 Aug 2024 13:40:02 +0200

Am Samstag, dem 31.08.2024 um 12:52 +0200 schrieb Jan Wielkiewicz:
> Sending again after sending guix lint messages.
Note for future submissions: it's okay (and even expected) to use --
reroll-count while sending the revised patch to the same address as the
original one. 

> Minetest got updated to 5.9.0. This was a big update with major
> changes.  Minetest Game (MTG) got dropped - is not longer the
> official game for the Minetest engine, and got debundled from default
> Minetest (engine) shipped to players. Hence I'm debundling it from
> this Guix package renamed from "minetest-data" to "minetest-minetest-
> game" and deprecated the former package.
That's a somewhat unfortunate name.  Is there no better name to choose?
Is there a reason not to use "minetest-game" for example?

> In this release irrlicht-for-minetest got merged into Minetest's
> tree, so I'm deprecating the package. I also had to adjust the
> minetest build system to use the new "minetest-minetest-game" package
> for testing. MTG also entered maintenance-only mode and became a
> rolling release, so I picked the latest commit from the master branch
> for it instead of git tags.
We also like to unbundle such dependencies.  Is there a way forward for
doing so?

> Minetest build system actually makes a pretty ugly assumption -
> that all minetest mods are mods for MTG, while the game supports
> mods for any minetest game (for example Voxelibre, Nodecore and
> such). So testing all mods against MTG makes no sense, but it will
> addressed in future commits.
Sounds like a plan.

Cheers